Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.arjuna.recovery
Class TransactionStatusConnectionManager

    java.lang.Object
      com.arjuna.ats.arjuna.recovery.TransactionStatusConnectionManager

public class TransactionStatusConnectionManager
extends java.lang.Object

Constructor Summary
`TransactionStatusConnectionManager()` Gets a reference to the Object Store.

Method Summary
`int` | `getTransactionStatus(java.lang.String transactionType, Uid tranUid)` Obtain the transaction status for the specified transaction type and transaction.
`int` | `getTransactionStatus(Uid tranUid)` Obtain the transaction status for the specified transaction.
`void` | `updateTSMI()` Examine the Object Store for any new TrasactionStatusManagerItem objects, and add to local hash table.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionStatusConnectionManager

    public TransactionStatusConnectionManager()

  Gets a reference to the Object Store.

Method Detail

### getTransactionStatus

    public int getTransactionStatus(Uid tranUid)

  Obtain the transaction status for the specified transaction. At this point we don't know the type of the transaction, only it's Uid. So, we're going to have to search through the object store. This assumes that the transaction id is present in the local object store. If it isn't, or there is a possibility it may not be, then you should use the other variant of this method and determine the type through another method.

### getTransactionStatus

    public int getTransactionStatus(java.lang.String transactionType,
                                    Uid tranUid)

  Obtain the transaction status for the specified transaction type and transaction.

### updateTSMI

    public void updateTSMI()

  Examine the Object Store for any new TrasactionStatusManagerItem objects, and add to local hash table.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD